Bug 1474368 - kernel: [drm:qxl_send_monitors_config [qxl]] *ERROR* head 4 wrong: 1902x1824+1900+8259429 [NEEDINFO]
kernel: [drm:qxl_send_monitors_config [qxl]] *ERROR* head 4 wrong: 1902x1824+...
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev (Show other bugs)
7.3
x86_64 Linux
unspecified Severity unspecified
: rc
: ---
Assigned To: Gerd Hoffmann
Guo, Zhiyi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-24 09:11 EDT by Zeng Yiquan
Modified: 2017-11-14 07:45 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-11-14 07:45:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kraxel: needinfo? (yzeng)


Attachments (Terms of Use)
log message (826.87 KB, text/plain)
2017-07-24 09:11 EDT, Zeng Yiquan
no flags Details

  None (edit)
Description Zeng Yiquan 2017-07-24 09:11:58 EDT
Created attachment 1303674 [details]
log message

Description of problem:


Version-Release number of selected component (if applicable):
# cat etc/redhat-release 
Red Hat Enterprise Linux Server release 7.3 (Maipo)
# grep -A6 "System Information" dmidecode 
System Information
        Manufacturer: Red Hat
        Product Name: RHEV Hypervisor
        Version: 7.1-1.el7
        Serial Number: 3852354D-4132-4E43-3736-303130304A4A
        UUID: 075B2B33-29C8-4C5A-B2C3-86560832CD90
        Wake-up Type: Power Switch
# rpm -qa | grep kvm
qemu-kvm-common-1.5.3-126.el7.x86_64
qemu-kvm-1.5.3-126.el7.x86_64
libvirt-daemon-kvm-2.0.0-10.el7.x86_64

How reproducible:

When customer restart system, there are a lot of error message output as below:
Jul 19 15:57:25 ktrgz0292 systemd: Found device /dev/vda1.
Jul 19 15:57:25 ktrgz0292 kernel: fbcon: qxldrmfb (fb0) is primary device
Jul 19 15:57:25 ktrgz0292 kernel: [drm:qxl_send_monitors_config [qxl]] *ERROR* head 4 wrong: 1902x1824+1900+8259429
Jul 19 15:57:25 ktrgz0292 kernel: [drm:qxl_send_monitors_config [qxl]] *ERROR* head 4 wrong: 1902x1824+1900+8259429
Jul 19 15:57:25 ktrgz0292 kernel: [drm:qxl_send_monitors_config [qxl]] *ERROR* head 4 wrong: 1902x1824+1900+8259429
Jul 19 15:57:25 ktrgz0292 kernel: [drm:qxl_send_monitors_config [qxl]] *ERROR* head 4 wrong: 1902x1824+1900+8259429
Jul 19 15:57:25 ktrgz0292 kernel: [drm:qxl_send_monitors_config [qxl]] *ERROR* head 4 wrong: 1902x1824+1900+8259429
Jul 19 15:57:25 ktrgz0292 kernel: [drm:qxl_send_monitors_config [qxl]] *ERROR* head 4 wrong: 1902x1824+1900+8259429
Jul 19 15:57:25 ktrgz0292 kernel: [drm:qxl_send_monitors_config [qxl]] *ERROR* head 4 wrong: 1902x1824+1900+8259429
Jul 19 15:57:25 ktrgz0292 kernel: [drm:qxl_send_monitors_config [qxl]] *ERROR* head 4 wrong: 1902x1824+1900+8259429
Jul 19 15:57:25 ktrgz0292 kernel: [drm:qxl_send_monitors_config [qxl]] *ERROR* head 4 wrong: 1902x1824+1900+8259429
Jul 19 15:57:25 ktrgz0292 kernel: [drm:qxl_send_monitors_config [qxl]] *ERROR* head 4 wrong: 1902x1824+1900+8259429
Jul 19 15:57:25 ktrgz0292 kernel: [drm:qxl_send_monitors_config [qxl]] *ERROR* head 4 wrong: 1902x1824+1900+8259429
Jul 19 15:57:25 ktrgz0292 kernel: [drm:qxl_send_monitors_config [qxl]] *ERROR* head 4 wrong: 1902x1824+1900+8259429
Jul 19 15:57:25 ktrgz0292 kernel: [drm:qxl_send_monitors_config [qxl]] *ERROR* head 4 wrong: 1902x1824+1900+8259429
Jul 19 15:57:25 ktrgz0292 kernel: Console: switching to colour frame buffer device 128x48
Jul 19 15:57:25 ktrgz0292 kernel: qxl 0000:00:02.0: fb0: qxldrmfb frame buffer device
Jul 19 15:57:25 ktrgz0292 systemd: Starting File System Check on /dev/vda1...
Jul 19 15:57:25 ktrgz0292 kernel: [drm] Initialized qxl 0.1.0 20120117 for 0000:00:02.0 on minor 0
Jul 19 15:57:25 ktrgz0292 systemd-fsck: /sbin/fsck.xfs: XFS file system.
Jul 19 15:57:25 ktrgz0292 systemd: Started File System Check on /dev/vda1.
Jul 19 15:57:26 ktrgz0292 kernel: ata2.00: ATAPI: QEMU DVD-ROM, 2.3.0, max UDMA/100
Jul 19 15:57:26 ktrgz0292 kernel: ata2.00: configured for MWDMA2

Customer want to know what's cause this error and how to avoid it.
Comment 2 Gerd Hoffmann 2017-07-25 09:12:38 EDT
> Version-Release number of selected component (if applicable):
> # cat etc/redhat-release 
> Red Hat Enterprise Linux Server release 7.3 (Maipo)
> # grep -A6 "System Information" dmidecode 
> System Information
>         Manufacturer: Red Hat
>         Product Name: RHEV Hypervisor
>         Version: 7.1-1.el7
>         Serial Number: 3852354D-4132-4E43-3736-303130304A4A
>         UUID: 075B2B33-29C8-4C5A-B2C3-86560832CD90
>         Wake-up Type: Power Switch
> # rpm -qa | grep kvm
> qemu-kvm-common-1.5.3-126.el7.x86_64
> qemu-kvm-1.5.3-126.el7.x86_64
> libvirt-daemon-kvm-2.0.0-10.el7.x86_64

Please clarify which are guest and which are host versions.
.
> Jul 19 15:57:25 ktrgz0292 kernel: fbcon: qxldrmfb (fb0) is primary device
> Jul 19 15:57:25 ktrgz0292 kernel: [drm:qxl_send_monitors_config [qxl]]
> *ERROR* head 4 wrong: 1902x1824+1900+8259429

Is qxl configured for multiple heads?
Comment 3 Gerd Hoffmann 2017-09-26 03:58:39 EDT
Ping.  Care to answer the questions from comment 2?
Also:  Customer case is listed as "closed" now, how was that solved?
Comment 4 Gerd Hoffmann 2017-10-20 07:26:14 EDT
Ping again.

Also: sitting in needinfo for months, can't be that important, cleaning "severity high".

Note You need to log in before you can comment on or make changes to this bug.